classification
Title: IDLE: remove unused code
Type: resource usage Stage: resolved
Components: IDLE Versions: Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: terry.reedy Nosy List: ned.deily, terry.reedy
Priority: normal Keywords:

Created on 2016-05-29 20:21 by terry.reedy, last changed 2016-06-06 01:36 by terry.reedy. This issue is now closed.

Messages (6)
msg266629 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2016-05-29 20:21
With 3.6 not bound by compatibility with external imports, dead code can go.  It is an annoying distraction.  The resource saved is space in package and module content listings and maintainer time and attention.  

1. module idlever.py.  It is obsolete at least since 2.6 and deprecated in 2.7.11 and 3.4.4+ in #24199.  If  IDLE is ever separately versioned again, idlever should be an attribute in idlelib.__init__.

2. file help.txt and its dedicated viewer editor.HelpDialog.  help.txt is out-of-date and not maintained, as it was replaced years ago by Docs/library/idle.rst.  Since Fall 2015, IDLE uses help.py to display help.html with formatting and index. See #16893.

3. stackviewer.StackBrowser.keys.  I removed this trivial and no-longer used method in #24790, and then restored it in the face of an objection and the lack of overt criteria for such removals.  I expect the class to get far more drastic changes than this.

Note: 'unused' is determined by grepping the name in consideration in .../idlelib/*.py, where ... == <repository path>/Lib.  IDLE => Edit => Find in Files, Alt-F3.
msg266678 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-05-30 05:59
New changeset 0945b9729734 by Terry Jan Reedy in branch 'default':
Issue #27156: Remove obsolete code not used by IDLE.
https://hg.python.org/cpython/rev/0945b9729734
msg267366 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2016-06-05 02:42
Patch removed 1 & 2.

4. macosx.runningAsOSXApp and macosx.isCarbonAquaTk were deprecated in then current versions on 2014 Feb 27 by New Deily in #17654.  In particular, 67a7a49e7b78 was applied to the future 3.4.1.  Ned, do you have any objection to removing these now, for 3.6?

I checked the usage of isXyz functions outside the definitions and deprecated functions.  isAquaTk: 8, isCarbonTk: 2, isCocoaTk: 5, isXQuartz: 0.  I gather from www.python.org/download/mac/tcltk/ that Carbon might still be in use on machines with early 8.5 and that XQuartz is still in use and might be needed in the future.  Also, since exactly 1 of 'Aqua' and 'XQuartz' are true on current machines running 8.5+, they are currently reduncant, but this could change in the future. So I don't propose any deletion for this group.
msg267439 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2016-06-05 17:18
> Ned, do you have any objection to removing these now, for 3.6?

No, go right ahead.  Nobody should be using them.  And I concur with keeping the others around for the time being.
msg267499 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-06-06 01:33
New changeset 166784c40be8 by Terry Jan Reedy in branch 'default':
Issue #27156: Remove more unused idlelib code.
https://hg.python.org/cpython/rev/166784c40be8
msg267500 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2016-06-06 01:36
3 and 4 removed. Closing at least until I find something else that is not part of a refactoring but needs at least a question answered.
History
Date User Action Args
2016-06-06 01:36:49terry.reedysetstatus: open -> closed

components: + IDLE

nosy: - python-dev
messages: + msg267500
resolution: fixed
stage: needs patch -> resolved
2016-06-06 01:33:09python-devsetmessages: + msg267499
2016-06-05 17:18:40ned.deilysetmessages: + msg267439
2016-06-05 02:42:24terry.reedysetnosy: + ned.deily
messages: + msg267366
2016-05-30 05:59:58python-devsetnosy: + python-dev
messages: + msg266678
2016-05-29 20:21:44terry.reedycreate